# frozen_string_literal: true

class AutoDestroyOfferJob < ActiveJob::Base
  queue_as :autodestroylow
  unique :until_executed
  
  def perform(housing_offer_id)
    housing_offer = Hermes::HousingOffer.find(housing_offer_id)
    if housing_offer && housing_offer.auto_destroy_next_day && (housing_offer.last_update_by_lessor + 36.hours) < (DateTime.current)
   
    housing_offer.offer_status = "RETIRE PAR LE BAILLEUR"
    housing_offer.lessor_status = "REPRISE BAILLEUR A CONFIRMER"
    housing_offer.save
      end
  end
end
