# frozen_string_literal: true

module Hermes
  # ContactGroup serializer
  class ContactGroupSerializer < Hermes::ApplicationSerializer
    attributes %i[
      contact_ids
      main_contact_id
      entity_id
      lessor_id
    ]

    type 'contact_groups'

    def contact_ids
      object.contact_ids&.map(&:to_s)
    end

    def main_contact_id
      object.main_contact_id&.to_s
    end

    def entity_id
      object.entity_id&.to_s
    end

    def lessor_id
      object.lessor_id&.to_s
    end
  end
end
