require 'rails_helper'

RSpec.describe Hermes::LessorObjectiveHistory, type: :model do
  context 'for structural tests' do
    it 'has a valid factory' do
      expect(FactoryBot.build(:lessor_objective_history)).to be_valid
    end
  end

  context 'callbacks' do
    describe "#set_objective_attributes" do
      let(:objective) do
        create(
          :lessor_objective,
          target_by_typologies: { T2: 3 },
          realized_by_typologies: { T2: 1 }
        )
      end
      let(:history) { build(:lessor_objective_history, lessor_objective: objective) }

      it 'sets objective attributes' do
        expect { history.save }.to change { history.target_by_typologies }.from({}).to(objective.target_by_typologies)
          .and change { history.realized_by_typologies }.from({}).to(objective.realized_by_typologies)
          .and change { history.lessor_id }.from(nil).to(objective.lessor_id)
      end
    end
  end
end